Loading...
Searching...
No Matches
D1Vec< CD_2NDT > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType::value_type | inX (const Accessor &grid, const Coord &ijk, int n)
template<typename Accessor>
static Accessor::ValueType::value_type | inY (const Accessor &grid, const Coord &ijk, int n)
template<typename Accessor>
static Accessor::ValueType::value_type | inZ (const Accessor &grid, const Coord &ijk, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inX (const Stencil &S, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inY (const Stencil &S, int n)
template<typename Stencil>
static Stencil::ValueType::value_type | inZ (const Stencil &S, int n)

## Member Function Documentation

## inX() [1/2]

template<typename Accessor>

Accessor::ValueType::value_type inX | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )

inline static

## inX() [2/2]

template<typename Stencil>

Stencil::ValueType::value_type inX | ( | const Stencil & | S,
|  | int | n )

inline static

## inY() [1/2]

template<typename Accessor>

Accessor::ValueType::value_type inY | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )

inline static

## inY() [2/2]

template<typename Stencil>

Stencil::ValueType::value_type inY | ( | const Stencil & | S,
|  | int | n )

inline static

## inZ() [1/2]

template<typename Accessor>

Accessor::ValueType::value_type inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | int | n )

inline static

## inZ() [2/2]

template<typename Stencil>

Stencil::ValueType::value_type inZ | ( | const Stencil & | S,
|  | int | n )

inline static